Solid Edge Geometry Type Library
Application Property
Description
Returns the active application object.
Property type
Read-only property
Syntax
Visual Basic
Public Property Application As Object
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeframework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objLoops As Object
    Dim objEdgeUse As solidedgegeometry.EdgeUse
    Dim objEUApp As SolidEdgeframework.Application
    Const TESTFILE = "T:\vbtests\testcases\freeform.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    Call objDoc.Close
    ' opening the test case file
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' getting the collection of loops from the body object in the model
    Set objLoops = objDoc.Models(1).Body.Faces(FaceType:=igQueryAll).Item(7).Loops
    ' getting an EdgeUse object for a loop
    Set objEdgeUse = objLoops.Item(1).EdgeUses.Item(1)
    ' getting the application object for the EdgeUse object
    Set objEUApp = objEdgeUse.Application
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLoops = Nothing
    Set objEdgeUse = Nothing
    Set objEUApp = Nothing
End Sub
See Also

EdgeUse Object  | EdgeUse Members

Send comments on this topic.